Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetPreferredCountryLanguage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Text>
it.tdlight.jni.TdApi.GetPreferredCountryLanguage

Enclosing class:
  TdApi

public static final class TdApi.GetPreferredCountryLanguage extends TdApi.Function<TdApi.Text>
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`countryCode`
A two-letter ISO 3166-1 alpha-2 country code.

## Constructor Summary

Constructors
Constructor
Description
`GetPreferredCountryLanguage()`
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details.
`GetPreferredCountryLanguage(DataInput input)`
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details.
`GetPreferredCountryLanguage(String countryCode)`
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### countryCode

public String countryCode
A two-letter ISO 3166-1 alpha-2 country code.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetPreferredCountryLanguage

public GetPreferredCountryLanguage()
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

### GetPreferredCountryLanguage

public GetPreferredCountryLanguage(String countryCode)
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

Parameters:
  `countryCode` - String A two-letter ISO 3166-1 alpha-2 country code.

### GetPreferredCountryLanguage

public GetPreferredCountryLanguage(DataInput input) throws IOException
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`